if you are comfortable with python you can use the ‘filtered element collector’ to get the element ids for system family types, then pass that to clockwork’s Element.SetName
formatting is slightly different when using python from string
"
import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import \\
Element, FilteredElementCollector, BuiltInCategory,\\
CeilingType, FillPatternElement, FilledRegionType, FloorType,\\
GraphicsStyleType, RoofType, WallType
from Autodesk.Revit.DB.Architecture import \\
HandRailType, RailingType, StairsType, TopRailType
clr.AddReference('RevitServices')
from RevitServices.Persistence import DocumentManager
doc = DocumentManager.Instance.CurrentDBDocument
fec = FilteredElementCollector
ceilings = fec(doc).OfClass(CeilingType).ToElements()
fillpatterns = fec(doc).OfClass(FillPatternElement).ToElements()
filledregions = fec(doc).OfClass(FilledRegionType).ToElements()
floors = fec(doc).OfClass(FloorType).ToElements()
handrails = fec(doc).OfClass(HandRailType).ToElements()
railings = fec(doc).OfClass(RailingType).ToElements()
roofs = fec(doc).OfClass(RoofType).ToElements()
stairs = fec(doc).OfClass(StairsType).ToElements()
toprails = fec(doc).OfClass(TopRailType).ToElements()
walls = fec(doc).OfClass(WallType).ToElements()
elem_types = ceilings, fillpatterns, filledregions, floors, handrails, railings, roofs, stairs, toprails, walls
ceiling_names = [Element.Name.__get__(i) for i in ceilings]
fillpattern_names = [Element.Name.__get__(i) for i in fillpatterns]
filledregion_names = [Element.Name.__get__(i) for i in filledregions]
floor_names = [Element.Name.__get__(i) for i in floors]
handrail_names = [Element.Name.__get__(i) for i in handrails]
railing_names = [Element.Name.__get__(i) for i in railings]
roof_names = [Element.Name.__get__(i) for i in roofs]
stair_names = [Element.Name.__get__(i) for i in stairs]
toprail_names = [Element.Name.__get__(i) for i in toprails]
wall_names = [Element.Name.__get__(i) for i in walls]
elem_names = ceiling_names, fillpattern_names, filledregion_names, floor_names, handrail_names, railing_names, roof_names, stair_names, toprail_names, wall_names
OUT = elem_types, elem_names
";